Add model

Prev Next

Available in Classic and VPC

Create a new body model to be used for the body of requests and responses.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
POST /api/v1/products/{product-id}/apis/{api-id}/models

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required Product ID that the API belongs to
api-id String Required ID of the API whose model you want to add

Request syntax

The request syntax is as follows.

{
  "modelDescription" : "modelDescription",
  "modelName" : "modelName",
  "modelSchema" : "modelSchema"
}

Request body

The following describes the request body.

Field Type Required Description
modelDescription String Optional Model description
  • 0 - 300 characters
modelName String Required Model name
  • 0 - 100 characters
modelSchema String Required Schema of the model
  • Use JSON schema

Request example

The following is a sample request.

curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/models' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "modelDescription" : "test model for November update",
  "modelName" : "test-Nov",
  "modelSchema" : "{\n  \"type\": \"object\",\n  \"properties\": {\n    \"firstName\": {\n      \"type\": \"string\"\n    },\n    \"lastName\": {\n      \"type\": \"string\"\n    },\n    \"age\": {\n      \"description\": \"Age in years\",\n      \"type\": \"integer\",\n      \"minimum\": 3\n    }\n  },\n  \"required\": [\n    \"firstName\",\n    \"lastName\"\n  ]\n}"
}'

Response

The following describes the response format.

Response syntax

The response syntax is as follows.

{
  "modelId" : "modelId",
  "apiId" : "apiId",
  "modelName" : "modelName",
  "modelDescription" : "modelDescription",
  "modelSchema" : "modelSchema"
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The following is a sample response.

{
    "modelId": "1nm7ycjcam",
    "apiId": "cvcohvd2xj",
    "modelName": "test-Nov",
    "modelDescription": "test model for November update",
    "modelSchema": "{\n  \"type\": \"object\",\n  \"properties\": {\n    \"firstName\": {\n      \"type\": \"string\"\n    },\n    \"lastName\": {\n      \"type\": \"string\"\n    },\n    \"age\": {\n      \"description\": \"Age in years\",\n      \"type\": \"integer\",\n      \"minimum\": 3\n    }\n  },\n  \"required\": [\n    \"firstName\",\n    \"lastName\"\n  ]\n}"
}